<?xml version='1.0' encoding='UTF-8'?>
<rougail version="0.10">
  <services>
    <service name="roundcube" engine="cheetah" target="multi-user">
      <file owner="root" group="nginx" mode="640">/etc/roundcubemail/config.inc.php</file>
      <file>/etc/nginx/default.d/roundcubemail.conf</file>
      <file source="domain.inc.php" file_type="variable" variable="roundcube_domains">roundcube_config</file>
      <file engine="none">/static/silique_cloud.svg</file>
      <file engine="none">/static/watermark.html</file>
      <file>/etc/pki/ca-trust/source/anchors/ca_MailServer.crt</file>
    </service>
  </services>
  <variables>
    <family name="roundcube" description="Interface web de consultation des courriels Roundcube">
      <variable name="roundcube_des_key" type="secret" auto_save="False" hidden="True"/>
      <variable name="roundcube_config" type="filename" hidden="True" multi="True"/>
      <family name="roundcube_domain" leadership="True">
        <variable name="roundcube_domains" type="domainname" description="Nom de domaines d'accès à Roundcube" multi="True" mandatory="True"/>
        <variable name="roundcube_mail_domain" type="domainname" description="Nom de domaines des courriels" mandatory="True"/>
        <variable name="roundcube_family" type="unix_user" description="Nom de la famille"/>
      </family>
    </family>
    <family name="oauth2_client">
      <variable name="oauth2_is_client_application" redefine='True'>
        <value>True</value>
      </variable>
      <variable name="oauth2_client_name" redefine='True'>
        <value>Courriel</value>
      </variable>
      <variable name="oauth2_client_description" redefine='True'>
        <value>Consulter ces courriels avec Roundcube</value>
      </variable>
      <variable name="oauth2_client_category" redefine='True'>
        <value>Diffusion</value>
      </variable>
      <variable name="oauth2_client_logo" redefine='True'>
        <value>silique_email.png</value>
      </variable>
      <family name="external">
        <variable name="oauth2_client_external" redefine="True" multi='True'/>
	<variable name="oauth2_client_family" redefine="True" multi="True"/>
      </family>
    </family>
    <family name="nginx">
      <variable name="nginx_root" redefine="True">
        <value>/usr/share/roundcubemail/</value>
      </variable>
    </family>
    <family name="revprox">
      <family name="revprox_client">
        <variable name="revprox_client_external_domainnames" redefine="True" hidden="True"/>
        <variable name="revprox_client_local_location" redefine="True">
          <value>/</value>
        </variable>
      </family>
    </family>
    <family name="annuaire">
      <family name="client">
        <variable name='ldapclient_family' redefine="True" hidden="True"/>
      </family>
    </family>
  </variables>
  <constraints>
    <fill name="get_password">
      <param name="server_name" type="variable">domain_name_eth0</param>
      <param name="username">roundcube</param>
      <param name="description">des_key</param>
      <param name="type">cleartext</param>
      <param name="hide" type="variable">hide_secret</param>
      <target>roundcube_des_key</target>
    </fill>
    <fill name="calc_value">
      <param>/etc/roundcubemail/</param>
      <param type="variable">roundcube_domains</param>
      <param>.inc.php</param>
      <param name="join"></param>
      <param name="multi" type="boolean">True</param>
      <target>roundcube_config</target>
    </fill>
    <fill name="calc_value">
      <param type="variable">roundcube_domains</param>
      <target>revprox_client_external_domainnames</target>
    </fill>
    <fill name="calc_oauth2_families">
      <param type="variable">roundcube_family</param>
      <target>oauth2_client_family</target>
    </fill>
    <fill name="calc_roundcube_family">
      <param type="variable">roundcube_family</param>
      <target>ldapclient_family</target>
    </fill>
  </constraints>
</rougail>
